#include "kernel/types.h"
#include "kernel/stat.h"
#include "user/user.h"
#include "kernel/syscall.h"

int
main(int argc, char *argv[])
{
  trace(1 << SYS_open);
  int fd;

  if((fd = open(argv[1], 0)) < 0) {
    fprintf(stderr, "Traced: cannot open %s\n", argv[1]);
    exit(1);
  }

  exit(0);
}
